#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=omtFolderize.ico
#AutoIt3Wrapper_UseUpx=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#cs

Customise OmegaT with icon

#ce

If $CmdLine[0] = 1 Then ; then a folder was drag-and-dropped onto the script
$omegatfolderpath = $CmdLine[1]
EndIf

If $CmdLine[0] = 0 Then ; then the user double-clicked the script
$omegatfolderpath = FileSelectFolder ("Select OmegaT project folder", "")
If @error = 1 Then
MsgBox (0, "omtFolderize will now exit", "If you don't want to select a folder manually, remember: you can also drag and drop an OmegaT folder onto the 'omtFolderize' icon", 0)
Exit
EndIf
EndIf

$confirmmessage = MsgBox (260, "Are you sure?", "omtFolderize will now attempt to customise the selected folder.  Press ENTER if you do *not* want to do this, or click 'Yes' to continue the customisation.", 0) ; 260 means a yes/no question, with "no" as the default

If $confirmmessage = 7 Then ; then the user pressed ENTER or clicked "no"
Exit
EndIf

; 1. First set the folder's attribute to "system" so that it reads the desktop.ini file

Run(@ComSpec & " /c " & 'attrib +s "' & $omegatfolderpath & '"', "", @SW_HIDE)

; 2. Then extract the icon and desktop.ini file to it.

FileInstall ("folder.ico", $omegatfolderpath & "\", 1)
FileInstall ("desktop.ini", $omegatfolderpath & "\", 1)
FileInstall ("omtFolderize.txt", $omegatfolderpath & "\", 1)

MsgBox (0, "Success, I hope", "The following folder was processed:" & @CRLF & @CRLF & $omegatfolderpath, 0)




